/*
 * Richard A. DeVenezia
 * June 4, 2004
 *
 * jDSGI test 18
 */

data _null_;

  if symexist('goutpath') then goutpath=symget('goutpath'); else goutpath=pathname('WORK');
  if symexist ('gsftype') then gsftype=symget('gsftype'); else gsftype='png';

  gsf = cats(goutPath,"\","test18");

  width  = 500;
  height = 500;

  %canvas (_g, width, height, 0ffffffx)

  %setColor (0);

  gap = 0.02;
  dim1 = gap;
  dim2 = .5 - gap/2;
  dim3 = .5 + gap/2;
  dim4 = 1 - gap;
  edge = dim2 - dim1;

  %tsetViewport (1, dim1,dim1, dim2,dim2);
  %tsetViewport (2, dim3,dim1, dim4,dim2);
  %tsetViewport (3, dim3,dim3, dim4,dim4-edge/2-gap/2);
  %tsetViewport (4, dim3,dim3+edge/2+gap/2, dim4, dim4);
  %tsetViewport (5, dim1,dim3, dim2,dim4);

  %tsetWindow (1, -20,-20,100,100);
  %tsetWindow (2, 20,-20,180,160);
  %tsetWindowAspectedForWidth  (3, 0,0,100);
  %tsetWindowAspectedForHeight (4, -100,-50,60);
  %tsetWindow (5, -110,-110,110,110);

  %tsetClip (1);
  %tgetClip (clip);
  put clip=;

  array colors[5] _temporary_ (20ff0000x, 2000ff00x, 200000ffx, 080000ffx, 20336699x);
  array data [4];

  declare javaobj jdata ("jdsgi/DoubleArray");

  do t = 1 to 5;
    %tsetTransno (t);
    %tgetTransno (transno);
    put / transno=;

    %tgetViewport (t,jdata);
    %getArray (data, jdata);
    do i = 1 to dim(data);
      put data[i]=;
    end;

    %tgetWindow (t, jdata);
    %getArray (data, jdata);
    do i = 1 to dim(data);
      put data[i]=;
    end;

    %tgetClipRect (t, jdata);
    %getArray (data, jdata);
    do i = 1 to dim(data);
      put data[i]=;
    end;

    %setColorA (colors[t]);
    %fillRect (data[1],data[2],data[3],data[4]);

    %setColor (colors[t]);

    do r = 10 to 100 by 15;
      %tarc (0,0,r, 100, -100);
      %tbar (5,5,r-5,r-5);
      %trbar (55-r/2,-50+r/2,55+r/2,-50-r/2,15,15);
    end;

    %setColor (0);
    %drawRect (data[1],data[2],data[3],data[4]);
  end;

  %getBackground (bg);

  put bg= hex8.;

  %canvas_saveAs (gsf, gsftype, savedAs);

  %canvas_delete();
  jdata.delete();

  if savedAs ne '' then rc = system ("start " || savedAs);
run;

