/*
 * Richard A. DeVenezia
 * June 11, 2004
 *
 * jDSGI test 23
 */

data _null_;

  if symexist('goutpath') then goutpath=symget('goutpath'); else goutpath=pathname('WORK');
  if symexist ('gsftype') then gsftype=symget('gsftype'); else gsftype='png';

  gsf = cats(goutPath,"\","test23");

  width  = 500;
  height = 500;

  %canvas (_g, width, height, 0ffffffx)

  %tsetWindow (1,0,-1,7,4);

  array px[10] _temporary_ ( 0,1,1,1,1,1,1,-2,-1,-1 );
  array py[10] _temporary_ ( 1,1,0,1,-1,0,-1,0,-1,1 );

  do i = 2 to dim (px);
    px [i] = px[i-1] + px[i];
    py [i] = py[i-1] + py[i];
  end;

  %setColor (336699x);

  %tsetViewport (1, 0,0,.25,.25);
  %tpolygon (px,py);

  %tsetViewport (1, .25,0,.5,.25);
  %tsetFillMode (1);
  %tpolygon (px,py);

  *-----;

  %tsetViewport (1, .5,0,.75,.25);
  %tsetWindow (1,0,0,22,22);
  %tsetFillMode (0);
  %tarc (11,11,8,90,-90);
  %tarc (11,11,5,-90,90);

  %tsetViewport (1, .75,0,1,.25);
  %tsetFillMode (1);
  %tarc (11,11,8,90,-90);
  %tarc (11,11,5,-90,90);

  *-----;

  %tsetViewport (1, .75,0.25,1,.5);
  %tsetFillMode (0);
  %setPenWidth (8);
  %tbar (3,3,19,19);

  %setColor ('Color.green');
  %tsetFillMode (1);
  %resetPen();
  %tbar (8,8,14,14);

  %setColor ('Color.black');
  %tsetFillMode (0);
  %tbar (8,8,14,14);

  *-----;

  %canvas_saveAs (gsf, gsftype, savedAs);

  %canvas_delete();

  if savedAs ne '' then rc = system ("start " || savedAs);
run;
