/*
 * Richard A. DeVenezia
 * June 1, 2004
 * Copyright 2004
 *
 * Array adaptor for use with SAS javaobj
 */

package jdsgi;

public class DoubleArray
{
    double[] values;

    int getLength ()
    {
        if (values == null)
            return 0;
        else
            return values.length;
    }

    void setLength (double dlength)
    {
        int length = (int) dlength;
        if (length >= 0)
        {
            values = new double[length];
        }
        else
        {
            values = new double[10];
        }
    }

    double get (double dindex)
    {
        int index = (int) dindex;

        if (values == null)
            return 0;
        else
        if (index >= 0 && index < values.length)
            return values[index];
        else
            return 0;
    }

    void set (double dindex, double value)
    {
        int index = (int) dindex;

        if (values == null)
            return ;
        else
        if (index >= 0 && index < values.length)
            values[index] = value;
    }
}